---
title: llarp::exit::Endpoint::UpstreamBuffer

---

# llarp::exit::Endpoint::UpstreamBuffer





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[UpstreamBuffer](Classes/structllarp_1_1exit_1_1Endpoint_1_1UpstreamBuffer.md#function-upstreambuffer)**([llarp::net::IPPacket](Classes/structllarp_1_1net_1_1IPPacket.md) p, uint64_t c) |
| bool | **[operator<](Classes/structllarp_1_1exit_1_1Endpoint_1_1UpstreamBuffer.md#function-operator<)**(const UpstreamBuffer & other) const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [llarp::net::IPPacket](Classes/structllarp_1_1net_1_1IPPacket.md) | **[pkt](Classes/structllarp_1_1exit_1_1Endpoint_1_1UpstreamBuffer.md#variable-pkt)**  |
| uint64_t | **[counter](Classes/structllarp_1_1exit_1_1Endpoint_1_1UpstreamBuffer.md#variable-counter)**  |

## Public Functions Documentation

### function UpstreamBuffer

```cpp
inline UpstreamBuffer(
    llarp::net::IPPacket p,
    uint64_t c
)
```


### function operator<

```cpp
inline bool operator<(
    const UpstreamBuffer & other
) const
```


## Public Attributes Documentation

### variable pkt

```cpp
llarp::net::IPPacket pkt;
```


### variable counter

```cpp
uint64_t counter;
```


-------------------------------

Updated on 2023-02-01 at 20:39:32 +0000